/**
  ********************************************************************************
  * @file    main.h
  * @brief   This file provides the main function prototype.
  * @author  STMicroelectronics - MCD Application Team
  * @version V1.2.0
  * @date    04-NOV-2010
  ******************************************************************************
  *
  * THE PRESENT FIRMWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS
  * WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE
  * TIME. AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY
  * DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
  * FROM THE CONTENT OF SUCH FIRMWARE AND/OR THE USE MADE BY CUSTOMERS OF THE
  * CODING INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
  *
  * <h2><center>&copy; COPYRIGHT 2010 STMicroelectronics</center></h2>
  * @image html logo.bmp
  ******************************************************************************
  */

// Define to prevent recursive inclusion ------------------------------------ 
#ifndef __MAIN_H
#define __MAIN_H

// includes ------------------------------------------------------------------
// Exported types ------------------------------------------------------------
// Exported constants --------------------------------------------------------
#define WELCOME_DELAY (400) /* Define how long the welcome text is displayed - Delay = 2.0s */

// Exported macro ------------------------------------------------------------
// Exported variables --------------------------------------------------------
// Exported functions ------------------------------------------------------- 
void ExtraCode_Init(void);
#ifdef FULL_ASSERT
void assert_failed(u8 *file, u16 line);
#else
void assert_failed(void);
#endif

#endif /* __MAIN_H */

 // (C) COPYRIGHT 2010 STMicroelectronics *****END OF FILE***


